package MT::Plugin::Calculation;
use strict;

require MT::Plugin;

@MT::Plugin::Calculation::ISA = qw(MT::Plugin);

our $version = "1.0.0";

my $plugin = new MT::Plugin::Calculation({
    name => 'Calculation',
    version => $version,
    description => 'Calculation',
    author_name => 'Alfasado, Inc.',
    author_link => 'http://alfasado.net/',
});

MT->add_plugin($plugin);

MT::Template::Context->add_global_filter(calculation => \&_calculation);

sub _calculation {
    my($text, $arg, $ctx) = @_;
    return $text + $arg;
}

1;